const app = getApp();
import productApi from '../../api/product'
import storeApi from '../../api/store'
import createTimeApi from '../../utils/date'
Page({

  /**
   * 页面的初始数据
   */
  data: {
    peopleNum: 1,
    activeTab: 0,
    shopInfo: {},
    shopId: 0,
    storeName:'',
    productId: 0,
    productImg: '',
    productName: '',
    price: 0,
    tabs: [],
    orderTime: "",
    orderTimeHeight: 0,
    days: [],


  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: async function (options) {
    var shopId = options.shopId;
    var productId = options.productId
    var productImg = options.productImg;
    var productName = options.productName;
    var price = options.price;

    this.setData({
      shopId,
      productId,
      productImg,
      productName,
      price
    })


  },
  checkAuth: async function () {
    console.log(this)
    const isAuth = await app.isAuth()
    if (!isAuth) {
      wx.redirectTo({
        url: '/pages/prompt/prompt?page=' + this.route,
      })
    }
  },


  onSlideChangeEnd: function (e) {
    var that = this;
    that.setData({
      activeTab: e.detail.index
    })
  },
 
  createTimeList: async function () {
    var storeId = this.data.shopId;
    var price = this.data.price;
    var shopInfo = await storeApi.getStoreById(storeId);
    var openTime = shopInfo.info.openTime;
    var closeTime = shopInfo.info.closeTime;
    var date = await storeApi.getStoreAppointTime(storeId);
    var days = date.date;
    console.log(days) 
    const tabs = createTimeApi.createTimeList(openTime, closeTime, days, price);
    console.log(tabs)
    this.setData({
      storeName:shopInfo.info.storeName,
      days,
      tabs
    })
  },

 

  getOrderTime: function (e) {
    // var date = document.getElementById("orderDate");
    // console.log(date.target)
    // console.log(e.currentTarget)
    //选中日期的下标
    var i = this.data.activeTab;
    //选中时间的下标
    var index = e.currentTarget.dataset.i;
    //获取选中的日期
    var date = this.data.days[i];
    var time = e.currentTarget.dataset.time;
    var oTime = date + '/' + time;

    //设置选中的样式
    var tabs = this.data.tabs;
    var list = tabs[i].list;
    //先清空其他选中的样式
    list.forEach(function (item, i, array) {
      item.checked = false;
    })
    if (list[index].inTime) {
      list[index].checked = true;
      this.data.tabs[i].list = list;
    }
    this.setData({
      orderTime: oTime,
      tabs
    })
  },

  addPeopleNum: function (e) {
    var num = e.currentTarget.dataset.num;
    var maxNum = 9;
    if (num < maxNum) {
      num++;
    }
    this.setData({
      peopleNum: num
    })
  },

  reducePeopleNum: function (e) {
    var num = e.currentTarget.dataset.num;
    if (num > 1) {
      num--;
    }
    this.setData({
      peopleNum: num
    })
  },



  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: async function () {

    this.createTimeList();
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
   //动态生成产品的父盒子高度
 /*   getOrderHeight: function () {
    var activeTab = this.data.activeTab;
    var orderTimeHeight = (this.data.tabs[activeTab].list.length) / 5 * 130;
    this.setData({
      orderTimeHeight
    })
  }, */
})